[ovs-dev] [PATCH] ovs-bugtool: Ignore deprecation warnings.

Ethan Jackson ethan at nicira.com
Tue Feb 15 01:33:32 UTC 2011


Since we have to support many versions of Python, this commit
forces ovs-bugtool to ignore deprecation warnings.  They were
complaining about use of the md5 module whose replacement does not
appear until Python 2.5.  In Python 2.7 deprecation warnings are
ignored by default.

Bug #4373
---
 debian/ovs-bugtool |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

diff --git a/debian/ovs-bugtool b/debian/ovs-bugtool
index 9bdf289..69fe78a 100755
--- a/debian/ovs-bugtool
+++ b/debian/ovs-bugtool
@@ -33,6 +33,9 @@
 # or func_output().
 #
 
+import warnings
+warnings.filterwarnings(action="ignore", category=DeprecationWarning)
+
 import getopt
 import re
 import os
-- 
1.7.4





More information about the dev mailing list